summaryrefslogtreecommitdiffstats
path: root/Configure
diff options
context:
space:
mode:
authorRich Salz <rsalz@akamai.com>2016-01-29 13:29:45 -0500
committerRich Salz <rsalz@openssl.org>2016-01-29 16:56:07 -0500
commitced2c2c598e195175950a67756d426052d38c228 (patch)
tree96426030f0ca1099c33d147e67b619bb73a77f6a /Configure
parent56087077d81e2b888f4cbe7f70b2077dc5add90d (diff)
Templatize util/domd
Reviewed-by: Richard Levitte <levitte@openssl.org>
Diffstat (limited to 'Configure')
-rwxr-xr-xConfigure6
1 files changed, 5 insertions, 1 deletions
diff --git a/Configure b/Configure
index dd3d88655f..d91ed57f44 100755
--- a/Configure
+++ b/Configure
@@ -1292,6 +1292,9 @@ print "RC2 uses $config{rc2_int}\n" if $config{rc2_int} != $def_int;
run_dofile("$Makefile.in","$Makefile");
+run_dofile("util/domd.in", "util/domd");
+chmod 0755, "util/domd";
+
run_dofile("include/openssl/opensslconf.h.in", "include/openssl/opensslconf.h");
foreach my $alg ( 'bn' ) {
@@ -1664,8 +1667,9 @@ sub run_dofile()
my $in = shift;
my $out = shift;
+ unlink $out || warn "Can't remove $out, $!"
+ if -f $out;
die "Can't open $in, $!" unless -f $in;
- # should we remove $out ?
system("$config{perl} -I. -Mconfigdata util/dofile.pl -o\"Configure\" $in > $out.new");
exit 1 if $? != 0;
rename("$out.new", $out) || die "Can't rename $out.new, $!";